Bug 320661 - Review Request: ladcca - Linux Audio Developer's Configuration and Connection API
Review Request: ladcca - Linux Audio Developer's Configuration and Connectio...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On: 320741
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 15:22 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 09:02:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-10-05 15:22:34 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca-0.4.0-1.kwizart.fc6.src.rpm
Description: LAD Configuration and Connection API (LADCCA)
Comment 1 Nicolas Chauvet (kwizart) 2007-10-05 15:51:12 EDT
The package want to do:
echo -e "\nladcca\t\t14541/tcp\t\t\t# LADCCA client/server protocol" >> /etc/
services;
So I will need to fill a bug against setup, so it can be added...
Comment 2 Hans de Goede 2007-10-06 02:26:33 EDT
(In reply to comment #1)
> The package want to do:
> echo -e "\nladcca\t\t14541/tcp\t\t\t# LADCCA client/server protocol" >> /etc/
> services;
> So I will need to fill a bug against setup, so it can be added...

Hmm,

Then I gues we need a %post for now which does a grep for ladcca in
/etc/services and if the grep fails, does the echo. Unless bug 230741 gets
resolved before this review is complete.
Comment 3 Hans de Goede 2007-10-06 02:35:44 EDT
Hmm,

I just noticed you didn't base this on the CCRMA package, please do a new
pakcage based of the CCRMA one. The CCRMA one has a better patch for the
deprecated jack API, and has a patch to no longer need the /etc/services entry,
amongst other things.
Comment 4 Hans de Goede 2007-10-06 02:36:07 EDT
p.s.

CCRMA pakcages can be found here:
http://ccrma.stanford.edu/planetccrma/mirror/all/linux/SRPMS/
Comment 5 Nicolas Chauvet (kwizart) 2007-10-06 07:42:15 EDT
Oups! ok! rebased on ccrma spec.

I have a problem with this directory: %{_datadir}/dtds
which package is supposed to own it ? I expect this is relevant to use it 
instead of %{_datadir}/ladcca/dtds, but i cannot produce rational for this...
(it seems not specially hardcoded within the code, or didn't find it...)

About /etc/services, I don't know if it is still required with Patch2 added...
Currently /etc/services isn't modified by ccrma package. Anyway having this in 
post will lead to problems with selinux as I expect.

A deeper look at the code seems to show that e2fsprogs in only used in 
config.guess... This doesn't seem relevant to add it. (only libuuid is searched 
in configure.ac)

Spec URL:
http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca-0.4.0-
3.kwizart.fc6.src.rpm
Description: Linux Audio Developer's Configuration and Connection API

Comment 6 Nicolas Chauvet (kwizart) 2007-10-06 07:44:21 EDT
SRPMS:
http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca-0.4.0-
3.kwizart.fc6.src.rpm
Comment 7 Fernando Lopez-Lezcano 2007-10-06 14:56:22 EDT
(In reply to comment #0)
> Spec URL:
> http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca.spec
> SRPM URL:
> http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca-0.4.0-1.kwizart.fc6.src.rpm
> Description: LAD Configuration and Connection API (LADCCA)

LADCCA is obsolete, it has been replaced by LASH (Linux Audio Session Handler).
LASH is already part of Fedora (moved from Planet CCRMA by Anthony Green). See:

    http://www.nongnu.org/lash/

(LASH does need to be updated, latest version is 0.5.3.)

There is still software out there that uses LADCCA but it should be patched to
use LASH instead (which is not too difficult). 

Thanks anyway (hint: there's a lot of software in Planet CCRMA that is waiting
for someone to move it to Fedora - I posted a list to Fedora Devel a while back,
and there's an ongoing effort to do just that). 
Comment 8 Hans de Goede 2007-10-06 16:04:34 EDT
(In reply to comment #7)
> (In reply to comment #0)
> > Spec URL:
> > http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca.spec
> > SRPM URL:
> >
http://kwizart.free.fr/fedora/6/testing/ladcca/ladcca-0.4.0-1.kwizart.fc6.src.rpm
> > Description: LAD Configuration and Connection API (LADCCA)
> 
> LADCCA is obsolete, it has been replaced by LASH (Linux Audio Session Handler).
> LASH is already part of Fedora (moved from Planet CCRMA by Anthony Green). See:
> 
>     http://www.nongnu.org/lash/
> 
> (LASH does need to be updated, latest version is 0.5.3.)
> 
> There is still software out there that uses LADCCA but it should be patched to
> use LASH instead (which is not too difficult). 
> 

Ah, actually AFAIK Nicolas was packaging this for jack-rack which also / already
uses lash, so I guess this isn't needed then and can be closed as not a bug and
be made to block FE_DEADREVIEW.

Nicolas, do you agree? If you do please post a new jack-rack to its review
ticket too, then I'll approve that (assuming there are no further problems).
Comment 9 Nicolas Chauvet (kwizart) 2007-10-06 19:23:32 EDT
Yes I agree!

I was using because for jack-rack cannot enable lash if ladcca isn't used...
But that was with lash 5.1 and we are at 5.3 now... We need to fill a bug to
have it updated to F-8 at least (but problably others)...

This package is now obsolete

Note You need to log in before you can comment on or make changes to this bug.